package TP1;


import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class CompteurServlet extends HttpServlet {

	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws IOException {
	   
		HttpSession session = request.getSession(true) ;
		Compteur cpt = (Compteur) session.getAttribute("compteur") ;
		if (cpt == null) { 
			cpt = new Compteur() ;
			session.setAttribute("compteur", cpt) ;
		}
		
		response.setContentType("text/html");
		PrintWriter pw = response.getWriter();
		pw.print("<html>");
		pw.print("<body bgcolor=\"white\">");
		pw.print("<head>");
		pw.print("<title>Le compteur</title>");
		pw.print("</head>");
		pw.print("<body>");
		pw.print("<h1>Nombre de visites : "+cpt.getCompteur()+"</h1>");
		pw.print("</body>");
		pw.println("</html>");	
		
		cpt.setCompteur(cpt.getCompteur()+1);
		int max = new Integer(getServletConfig().getInitParameter("maxvisites")).intValue();
		if (cpt.getCompteur()==max){
			session.invalidate() ;
		}
		
	}
		

	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws IOException {
		doGet(request, response);
	}

	public void init() throws ServletException {
	}

	public void destroy() {
	}
	
}
